RemoveSNSSmsReceiver
RemoveSNSSmsReceiver
DELETE
/zstack/v1/sns/sms-endpoints/{endpointUuid}/receivers/{phoneNumber}Operation ID
RemoveSNSSmsReceiverSince
3.7.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
endpointUuidStringRequiredThe SMS endpoint UUID.
phoneNumberStringOptional. The phone number required in this URL path. If phoneNumberList is also provided, the receiver is deleted according to the list.
Body Fields
phoneNumberListListOptional. The SMS receiver phone number list.
deleteModeStringOptional. The deletion mode (Permissive or Enforcing; Permissive by default).
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
200 OKDELETE endpoints return an empty object on success, or a standard error structure on failure.
Success Response
{}Error Response
{
"error": {
"code": "SYS.1001",
"description": "A message or a operation timeout",
"details": "Delete resource timeout after 300s"
}
}